uboot_ctx Struct Reference

`#include <uboot_private.h>`

Collaboration diagram for uboot_ctx:
[legend]

## Public Attributes

bool | redundant
bool | valid
size_t | size
struct uboot_flash_env | envdevs [2]
int | current
int | lock
struct vars | varlist

## Detailed Description

libubootenv context

## Member Data Documentation

## current

int uboot_ctx::current

Set which device contains the current(last valid) environment

## envdevs

struct uboot_flash_env uboot_ctx::envdevs[2]

devices where environment is stored

## lock

int uboot_ctx::lock

semaphore on the environment

## redundant

bool uboot_ctx::redundant

true if the environment is redundant

## size

size_t uboot_ctx::size

size of the environment

## valid

bool uboot_ctx::valid

set to valid after a successful load

## varlist

struct vars uboot_ctx::varlist

pointer to the internal db

The documentation for this struct was generated from the following file:

- uboot_private.h